############################################################
#
# type definition pro_declaration_component_guiconfig
#
# RESPONSIBLE: Charles Loomis <charles.loomis@cern.ch>
#
# VERSION : 1.0.8
#
# Translation of edg-lcfg-guiconfig by Elisabetta Ronchieri.
#
############################################################

declaration template pro_declaration_component_guiconfig;

include pro_declaration_structures;
include pro_declaration_types;

define type type_guiconfig_logging = {
        "timeout"     ? long
        "synctimeout" ? long
        "destination" ? type_hostport
};

define type type_guiconfig_default = {
        "logginglevel"  ? long
        "statuslevel"   ? long
};

define type type_guiconfig_defaults = {
        "requirements"  ? string
        "rank"          ? string
        "rankmpi"       ? string
};

define type component_guiconfig = {
	include structure_component
        "configfile"        ? string
        "jdledefaultschema" ? string
        "retrycount"        ? long
        "errorstorage"      ? string
        "outputstorage"     ? string
        "nsloggerlevel"     ? long
        "dvo"               ? string
        "logging"           ? type_guiconfig_logging
	"glue"              ? type_guiconfig_defaults
	"edg"               ? type_guiconfig_defaults
	"default"           ? type_guiconfig_default
};

type "/software/components/guiconfig" = component_guiconfig;


